org.wildfly.swarm.config

## Class Security.SecurityResources

- java.lang.Object
- - org.wildfly.swarm.config.Security.SecurityResources

- Enclosing class:
    Security<T extends Security<T>>

      public static class Security.SecurityResources
      extends Object

  Child mutators for Security

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassicVault` | `classicVault()` Security Vault for attributes.
    `ElytronKeyManager` | `elytronKeyManager(String key)`
    `List<ElytronKeyManager>` | `elytronKeyManagers()` Get the list of ElytronKeyManager resources
    `ElytronKeyStore` | `elytronKeyStore(String key)`
    `List<ElytronKeyStore>` | `elytronKeyStores()` Get the list of ElytronKeyStore resources
    `ElytronRealm` | `elytronRealm(String key)`
    `List<ElytronRealm>` | `elytronRealms()` Get the list of ElytronRealm resources
    `ElytronTrustManager` | `elytronTrustManager(String key)`
    `List<ElytronTrustManager>` | `elytronTrustManagers()` Get the list of ElytronTrustManager resources
    `ElytronTrustStore` | `elytronTrustStore(String key)`
    `List<ElytronTrustStore>` | `elytronTrustStores()` Get the list of ElytronTrustStore resources
    `SecurityDomain` | `securityDomain(String key)`
    `List<SecurityDomain>` | `securityDomains()` Get the list of SecurityDomain resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityResources

          public SecurityResources()

  - ### Method Detail

    - #### securityDomains

          public List<SecurityDomain> securityDomains()

      Get the list of SecurityDomain resources
      Returns:
        the list of resources

    - #### securityDomain

          public SecurityDomain securityDomain(String key)

    - #### elytronTrustManagers

          public List<ElytronTrustManager> elytronTrustManagers()

      Get the list of ElytronTrustManager resources
      Returns:
        the list of resources

    - #### elytronTrustManager

          public ElytronTrustManager elytronTrustManager(String key)

    - #### elytronKeyManagers

          public List<ElytronKeyManager> elytronKeyManagers()

      Get the list of ElytronKeyManager resources
      Returns:
        the list of resources

    - #### elytronKeyManager

          public ElytronKeyManager elytronKeyManager(String key)

    - #### elytronTrustStores

          public List<ElytronTrustStore> elytronTrustStores()

      Get the list of ElytronTrustStore resources
      Returns:
        the list of resources

    - #### elytronTrustStore

          public ElytronTrustStore elytronTrustStore(String key)

    - #### elytronKeyStores

          public List<ElytronKeyStore> elytronKeyStores()

      Get the list of ElytronKeyStore resources
      Returns:
        the list of resources

    - #### elytronKeyStore

          public ElytronKeyStore elytronKeyStore(String key)

    - #### elytronRealms

          public List<ElytronRealm> elytronRealms()

      Get the list of ElytronRealm resources
      Returns:
        the list of resources

    - #### elytronRealm

          public ElytronRealm elytronRealm(String key)

    - #### classicVault

          public ClassicVault classicVault()

      Security Vault for attributes.

Copyright © 2018 JBoss by Red Hat. All rights reserved.